Loading...
Searching...
No Matches
BALL::LinearBaseFunction Class Reference

`#include <BALL/SCORING/COMMON/linearBaseFunction.h>`

Inheritance diagram for BALL::LinearBaseFunction:

## Public Member Functions

| LinearBaseFunction ()
| LinearBaseFunction (float lower, float upper)
float | calculate (float x) const
float | calculate (float x, float lower, float upper)
Public Member Functions inherited from BALL::ScoringBaseFunction
| ScoringBaseFunction ()
| ScoringBaseFunction (float lower, float upper)
virtual | ~ScoringBaseFunction ()
virtual void | setLower (float lower)
virtual void | setUpper (float upper)

## Additional Inherited Members

Public Types inherited from BALL::ScoringBaseFunction
enum | BaseFunctionType { BASE_FUNCTION_TYPE__LINEAR , BASE_FUNCTION_TYPE__FERMI }
Protected Attributes inherited from BALL::ScoringBaseFunction
float | lower_
float | upper_

## Detailed Description

Linear base function

Definition at line 13 of file linearBaseFunction.h.

## Constructor & Destructor Documentation

## LinearBaseFunction() [1/2]

BALL::LinearBaseFunction::LinearBaseFunction | ( |  | ) |

## LinearBaseFunction() [2/2]

BALL::LinearBaseFunction::LinearBaseFunction | ( | float | lower,
|  | float | upper )

The function is defined in such a way that the score is 1 for values < lower and 0 for values > upper. If you need contrary behaviour, you have to supply a "lower" which is greater than "upper". This will invert the function.

## Member Function Documentation

## calculate() [1/2]

float BALL::LinearBaseFunction::calculate | ( | float | x | ) | const

virtual

Reimplemented from BALL::ScoringBaseFunction.

## calculate() [2/2]

float BALL::LinearBaseFunction::calculate | ( | float | x,
|  | float | lower,
|  | float | upper )

virtual

Reimplemented from BALL::ScoringBaseFunction.